import request from '@/utils/request'

// 查询卫生批文清单列表
export function listHealthapproval(query) {
  return request({
    url: '/ehs/healthapproval/list',
    method: 'get',
    params: query
  })
}

// 查询卫生批文清单详细
export function getHealthapproval(id) {
  return request({
    url: '/ehs/healthapproval/' + id,
    method: 'get'
  })
}

// 新增卫生批文清单
export function addHealthapproval(data) {
  return request({
    url: '/ehs/healthapproval',
    method: 'post',
    data: data
  })
}

// 修改卫生批文清单
export function updateHealthapproval(data) {
  return request({
    url: '/ehs/healthapproval',
    method: 'put',
    data: data
  })
}

// 删除卫生批文清单
export function delHealthapproval(id) {
  return request({
    url: '/ehs/healthapproval/' + id,
    method: 'delete'
  })
}

// 导出卫生批文清单
export function exportHealthapproval(query) {
  return request({
    url: '/ehs/healthapproval/export',
    method: 'get',
    params: query
  })
}
